Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
librevenge::Header Class Reference

## Public Member Functions
| Header ()
void | compute_block_size ()
bool | valid_signature () const
bool | valid (unsigned long fileSize)
void | load (const unsigned char *buffer, unsigned long size)
void | save (unsigned char *buffer)

## Public Attributes
unsigned char | m_magic [8]
unsigned | m_revision
unsigned | m_num_bat
unsigned | m_start_dirent
unsigned | m_threshold
unsigned | m_start_sbat
unsigned | m_num_sbat
unsigned | m_shift_sbat
unsigned | m_size_sbat
unsigned | m_shift_bbat
unsigned | m_size_bbat
unsigned | m_start_mbat
unsigned | m_num_mbat
unsigned long | m_blocks_bbat [109]

## Static Protected Attributes
static const unsigned char | s_ole_magic []

## Constructor & Destructor Documentation

## ◆ Header()

librevenge::Header::Header | ( |  | ) |

## Member Function Documentation

## ◆ compute_block_size()

void librevenge::Header::compute_block_size | ( |  | ) |
| inline

Referenced by Header().

## ◆ load()

void librevenge::Header::load | ( | const unsigned char * | buffer,
|  | unsigned long | size
| ) |  |

## ◆ save()

void librevenge::Header::save | ( | unsigned char * | buffer | ) |

## ◆ valid()

bool librevenge::Header::valid | ( | unsigned long | fileSize | ) |

## ◆ valid_signature()

bool librevenge::Header::valid_signature | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ m_blocks_bbat

unsigned long librevenge::Header::m_blocks_bbat[109]

Referenced by Header().

## ◆ m_magic

unsigned char librevenge::Header::m_magic[8]

Referenced by Header(), and valid_signature().

## ◆ m_num_bat

unsigned librevenge::Header::m_num_bat

## ◆ m_num_mbat

unsigned librevenge::Header::m_num_mbat

## ◆ m_num_sbat

unsigned librevenge::Header::m_num_sbat

## ◆ m_revision

unsigned librevenge::Header::m_revision

Referenced by librevenge::IStorage::revision(), and librevenge::OStorage::setRevision().

## ◆ m_shift_bbat

unsigned librevenge::Header::m_shift_bbat

Referenced by compute_block_size().

## ◆ m_shift_sbat

unsigned librevenge::Header::m_shift_sbat

Referenced by compute_block_size().

## ◆ m_size_bbat

unsigned librevenge::Header::m_size_bbat

Referenced by compute_block_size(), and librevenge::IStorage::IStorage().

## ◆ m_size_sbat

unsigned librevenge::Header::m_size_sbat

Referenced by compute_block_size(), and librevenge::IStorage::IStorage().

## ◆ m_start_dirent

unsigned librevenge::Header::m_start_dirent

## ◆ m_start_mbat

unsigned librevenge::Header::m_start_mbat

## ◆ m_start_sbat

unsigned librevenge::Header::m_start_sbat

## ◆ m_threshold

unsigned librevenge::Header::m_threshold

Referenced by librevenge::IStorage::use_big_block_for(), and librevenge::OStorage::useBigBlockFor().

## ◆ s_ole_magic

const unsigned char librevenge::Header::s_ole_magic
| static protected

Initial value:
=
{ 0xd0, 0xcf, 0x11, 0xe0, 0xa1, 0xb1, 0x1a, 0xe1 }

Referenced by Header(), and valid_signature().

The documentation for this class was generated from the following file:

- RVNGOLEStream.cpp